# $Revision: 1.9 $, $Date: 2008/07/27 22:17:46 $
Summary:	JPEG/TIFF image probe
Summary(pl.UTF-8):	Sprawdzanie informacji o obrazach JPEG/TIFF
Name:		exifprobe
Version:	2.0.1
Release:	2
License:	BSD
Group:		Applications/Multimedia
Source0:	http://www.virtual-cafe.com/~dhh/tools.d/exifprobe.d/%{name}-%{version}.tar.gz
# Source0-md5:	3aa2ba4baa6d60c72fb8a4b9b6341c4c
URL:		http://www.virtual-cafe.com/~dhh/tools.d/exifprobe.d/
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Exifprobe examines and reports the contents and structure of JPEG and
TIFF image files. It will recognize all standard JPEG markers
(including APPn markers) and will report the contents of any properly
structured TIFF IFD encountered, even when entry tags are not
recognized. Recognized TIFF and TIFF/EP tags are expanded, including
EXIF2.2 sections and camera MakerNotes which are found to be in TIFF
IFD format. GPS and GeoTIFF tags are recognized and entries printed in
"raw" form, but are not expanded. Location, size, and format of image
data is reported.

%description -l pl.UTF-8
Exifprobe sprawdza i podaje zawartość i strukturę plików obrazów JPEG
i TIFF. Rozpoznaje wszystkie standardowe znaczniki JPEG (włącznie z
APPn) i podaje zawartość każdego prawidłowo zbudowanego TIFF IFD,
nawet jeśli nie rozpoznano znaczników. Rozpoznawane znaczniki TIFF i
TIFF/EP są rozwijane, w tym sekcje EXIT2.2 i MakerNotes z aparatów,
które można znaleźć w plikach w formacie TIFF IFD. Znaczniki GPS i
GeoTIFF są rozpoznawane i wypisywane w postaci surowej, ale nie
rozwijane. Podawane jest położenie, rozmiar i format danych obrazu.

%prep
%setup -q

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -Wall -Wno-unused -Wno-parentheses -Wno-trigraphs"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1}

%{__make} install \
	PREFIX=$RPM_BUILD_ROOT%{_prefix} \
	BINDIR=$RPM_BUILD_ROOT%{_bindir} \
	MANDIR=$RPM_BUILD_ROOT%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CAMERA_makes_and_models CREDITS DESCRIPTION *.html
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*1.*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: exifprobe.spec,v $
Revision 1.9  2008/07/27 22:17:46  arekm
- release 2

Revision 1.8  2007-02-12 21:23:55  glen
- tabs in preamble

Revision 1.7  2007/02/12 00:48:48  baggins
- converted to UTF-8

Revision 1.6  2006/03/09 14:35:10  glen
- quote %{__cc}

Revision 1.5  2006/01/18 10:19:24  maciek2w
- updated to 2.0.1
- removed colored output - left console in useless state

Revision 1.4  2005/02/06 20:20:44  adamg
- updated to 1.2.6
- Source0, URL addresses updated

Revision 1.3  2004/12/14 17:55:54  darekr
- updated to 1.2.5

Revision 1.2  2004/09/08 18:02:52  qboosh
- pl

Revision 1.1  2004/09/07 11:00:41  blues
- works nice
